| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
SoTransformBoxManip Class Reference
Manipulator Classes

The SoTransformBoxManip wraps an SoTransformBoxDragger for convenience.

More...

`#include <Inventor/manips/SoTransformBoxManip.h>`

Inheritance diagram for SoTransformBoxManip:

## Public Member Functions

virtual SoType | getTypeId (void) const
| SoTransformBoxManip (void)
Public Member Functions inherited from SoTransformManip
| SoTransformManip (void)
SoDragger * | getDragger (void)
SbBool | replaceNode (SoPath *p)
SbBool | replaceManip (SoPath *p, SoTransform *newone) const
virtual void | doAction (SoAction *action)
virtual void | callback (SoCallbackAction *action)
virtual void | GLRender (SoGLRenderAction *action)
virtual void | getBoundingBox (SoGetBoundingBoxAction *action)
virtual void | getMatrix (SoGetMatrixAction *action)
virtual void | handleEvent (SoHandleEventAction *action)
virtual void | pick (SoPickAction *action)
virtual void | search (SoSearchAction *action)
virtual SoChildList * | getChildren (void) const
Public Member Functions inherited from SoTransform
| SoTransform (void)
void | pointAt (const SbVec3f &frompoint, const SbVec3f &topoint)
void | getScaleSpaceMatrix (SbMatrix &mat, SbMatrix &inv) const
void | getRotationSpaceMatrix (SbMatrix &mat, SbMatrix &inv) const
void | getTranslationSpaceMatrix (SbMatrix &mat, SbMatrix &inv) const
void | multLeft (const SbMatrix &mat)
void | multRight (const SbMatrix &mat)
void | combineLeft (SoTransformation *nodeonright)
void | combineRight (SoTransformation *nodeonleft)
void | setMatrix (const SbMatrix &mat)
void | recenter (const SbVec3f &newcenter)
virtual void | getPrimitiveCount (SoGetPrimitiveCountAction *action)

## Static Public Member Functions

static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoTransformManip
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoTransform
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoTransformation
static SoType | getClassTypeId (void)
static void | initClass (void)
Static Public Member Functions inherited from SoNode
static uint32_t | getCompatibilityTypes (const SoType &nodetype)
static SoType | getClassTypeId (void)
static SoNode * | getByName (const SbName &name)
static int | getByName (const SbName &name, SoNodeList &l)
static void | initClass (void)
static void | initClasses (void)
static uint32_t | getNextNodeId (void)
static int | getActionMethodIndex (const SoType type)
static void | getBoundingBoxS (SoAction *action, SoNode *node)
static void | GLRenderS (SoAction *action, SoNode *node)
static void | callbackS (SoAction *action, SoNode *node)
static void | getMatrixS (SoAction *action, SoNode *node)
static void | handleEventS (SoAction *action, SoNode *node)
static void | pickS (SoAction *action, SoNode *node)
static void | rayPickS (SoAction *action, SoNode *node)
static void | searchS (SoAction *action, SoNode *node)
static void | writeS (SoAction *action, SoNode *node)
static void | audioRenderS (SoAction *action, SoNode *node)
static void | getPrimitiveCountS (SoAction *action, SoNode *node)
Static Public Member Functions inherited from SoFieldContainer
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | cleanupClass (void)
static void | initCopyDict (void)
static void | addCopy (const SoFieldContainer *orig, const SoFieldContainer *copy)
static SoFieldContainer * | checkCopy (const SoFieldContainer *orig)
static SoFieldContainer * | findCopy (const SoFieldContainer *orig, const SbBool copyconnections)
static void | copyDone (void)
Static Public Member Functions inherited from SoBase
static void | initClass (void)
static SoType | getClassTypeId (void)
static void | addName (SoBase *const base, const char *const name)
static void | removeName (SoBase *const base, const char *const name)
static void | incrementCurrentWriteCounter (void)
static void | decrementCurrentWriteCounter (void)
static SoBase * | getNamedBase (const SbName &name, SoType type)
static int | getNamedBases (const SbName &name, SoBaseList &baselist, SoType type)
static SbBool | read (SoInput *input, SoBase *&base, SoType expectedtype)
static void | setInstancePrefix (const SbString &c)
static void | setTraceRefs (SbBool trace)
static SbBool | getTraceRefs (void)
static SbBool | connectRoute (SoInput *input, const SbName &fromnodename, const SbName &fromfieldname, const SbName &tonodename, const SbName &tofieldname)
static SbBool | readRoute (SoInput *input)

## Protected Member Functions

virtual const SoFieldData * | getFieldData (void) const
virtual | ~SoTransformBoxManip (void)
Protected Member Functions inherited from SoTransformManip
virtual | ~SoTransformManip (void)
void | setDragger (SoDragger *newdragger)
virtual void | copyContents (const SoFieldContainer *fromfc, SbBool copyconnections)
void | attachSensors (const SbBool onoff)
Protected Member Functions inherited from SoTransform
virtual | ~SoTransform ()
Protected Member Functions inherited from SoTransformation
| SoTransformation (void)
virtual | ~SoTransformation ()
Protected Member Functions inherited from SoNode
| SoNode (void)
virtual | ~SoNode ()
virtual SbBool | readInstance (SoInput *in, unsigned short flags)
Protected Member Functions inherited from SoFieldContainer
| SoFieldContainer (void)
virtual | ~SoFieldContainer ()
Protected Member Functions inherited from SoBase
| SoBase (void)
virtual | ~SoBase ()
virtual void | destroy (void)
SbBool | hasMultipleWriteRefs (void) const
SbBool | writeHeader (SoOutput *out, SbBool isgroup, SbBool isengine) const
void | writeFooter (SoOutput *out) const
virtual const char * | getFileFormatName (void) const

## Static Protected Member Functions

static const SoFieldData ** | getFieldDataPtr (void)
Static Protected Member Functions inherited from SoTransformManip
static const SoFieldData ** | getFieldDataPtr (void)
static void | transferFieldValues (const SoTransform *from, SoTransform *to)
static void | valueChangedCB (void *f, SoDragger *d)
static void | fieldSensorCB (void *f, SoSensor *d)
Static Protected Member Functions inherited from SoTransform
static const SoFieldData ** | getFieldDataPtr (void)
Static Protected Member Functions inherited from SoTransformation
static const SoFieldData ** | getFieldDataPtr (void)
Static Protected Member Functions inherited from SoNode
static const SoFieldData ** | getFieldDataPtr (void)
static void | setNextActionMethodIndex (int index)
static int | getNextActionMethodIndex (void)
static void | incNextActionMethodIndex (void)
static void | setCompatibilityTypes (const SoType &nodetype, const uint32_t bitmask)

## Additional Inherited Members

Public Types inherited from SoNode
enum | NodeType { INVENTOR = 0x0000, VRML1 = 0x0001, VRML2 = 0x0002, INVENTOR_1 = 0x0004, INVENTOR_2_0 = 0x0008, INVENTOR_2_1 = 0x0010, INVENTOR_2_5 = 0x0020, INVENTOR_2_6 = 0x0040, COIN_1_0 = 0x0080, COIN_2_0 = 0x0100, EXTENSION = 0x0200, COIN_2_2 = 0x0400, COIN_2_3 = 0x0800, COIN_2_4 = 0x1000, INVENTOR_5_0 = 0x2000, COIN_2_5 = 0x4000, COIN_3_0 = 0x8000, INVENTOR_6_0 = 0x10000 }
Public Attributes inherited from SoTransform
SoSFVec3f | translation
SoSFRotation | rotation
SoSFVec3f | scaleFactor
SoSFRotation | scaleOrientation
SoSFVec3f | center
Protected Types inherited from SoBase
enum | BaseFlags { IS_ENGINE = 0x01, IS_GROUP = 0x02 }
Protected Attributes inherited from SoTransformManip
SoFieldSensor * | rotateFieldSensor
SoFieldSensor * | translFieldSensor
SoFieldSensor * | scaleFieldSensor
SoFieldSensor * | centerFieldSensor
SoFieldSensor * | scaleOrientFieldSensor
SoChildList * | children
Static Protected Attributes inherited from SoNode
static uint32_t | nextUniqueId = 1
static int | nextActionMethodIndex = 0

## Detailed Description

The SoTransformBoxManip wraps an SoTransformBoxDragger for convenience.

The manipulator class takes care of wrapping up the SoTransformBoxDragger in a simple and convenient API for the application programmer, making it automatically surround the geometry it influences and taking care of the book-keeping routines for it's interaction with the relevant fields of an SoTransformation node.

Here's a simple usage example, in the form of an Inventor format file:

    #Inventor V2.1 ascii

    Separator {
       TransformBoxManip { }
       Group {
          Cone { }
       }
    }

    Translation { translation 2 4 0 }

    Separator {
       TransformBoxManip { }
       Group {
          Sphere { }
       }
    }

## Constructor & Destructor Documentation

SoTransformBoxManip::SoTransformBoxManip | ( | void | ) |  |

Default constructor. Allocates an SoTransformBoxDragger and an SoSurroundScale node to surround the geometry within our part of the scenegraph.

SoTransformBoxManip::~SoTransformBoxManip | ( | void | ) |  |

protectedvirtual

Destructor.

## Member Function Documentation

SoType SoTransformBoxManip::getTypeId | ( | void | ) |  | const

virtual

Returns the type identification of an object derived from a class inheriting SoBase. This is used for run-time type checking and "downward" casting.

Usage example:

void foo(SoNode * node)
{
if (node->getTypeId() == SoFile::getClassTypeId()) {
SoFile * filenode = (SoFile *)node; // safe downward cast, knows the type
}
}

For application programmers wanting to extend the library with new nodes, engines, nodekits, draggers or others: this method needs to be overridden in all subclasses. This is typically done as part of setting up the full type system for extension classes, which is usually accomplished by using the pre-defined macros available through for instance Inventor/nodes/SoSubNode.h (SO_NODE_INIT_CLASS and SO_NODE_CONSTRUCTOR for node classes), Inventor/engines/SoSubEngine.h (for engine classes) and so on.

For more information on writing Coin extensions, see the class documentation of the toplevel superclasses for the various class groups.

Reimplemented from SoTransformManip.

const SoFieldData * SoTransformBoxManip::getFieldData | ( | void | ) |  | const

protectedvirtual

Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns `NULL`.

Reimplemented from SoTransformManip.

The documentation for this class was generated from the following files:

- SoTransformBoxManip.h
- SoTransformBoxManip.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.